Bug 226379 - Merge Review: rsh
Merge Review: rsh
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:52 EST by Nobody's working on this, feel free to take it
Modified: 2009-12-17 07:59 EST (History)
2 users (show)

See Also:
Fixed In Version: rsh-0.17-60.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 13:55:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ovasik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:52:36 EST
Fedora Merge Review: rsh

http://cvs.fedora.redhat.com/viewcvs/devel/rsh/
Initial Owner: atkac@redhat.com
Comment 1 Adam Tkac 2009-11-30 09:51:26 EST
Package rsh-0.17-59.fc13 should be fine.
Comment 2 Ondrej Vasik 2009-12-07 14:25:16 EST
Few comments before actual review:
1) Please add comment to spec file (at least) about source of rexec-1.5.tar.gz 
2) Please comment patches (purpose, bugzillas) either in spec file or in patch itself
3) Requires: pam could be unversioned - 0.58 is quite old (even in RHEL-4 is newer)
   BuildRequires: audit-libs-devel could be unversioned - 1.5 is quite old (in RHEL-4 is older, in RHEL-5 newer)
4) Buildroot style is not ok - although it is no longer required, it would be better to fix this.

rest looks ok at first sight...
Comment 3 Adam Tkac 2009-12-15 09:36:28 EST
All issues written in comment #2 should be fixed in rsh-0.17-60.fc13.

Note about rexec source - I tried to find current location but it seems it exists nowhere on Internet.
Comment 4 Ondrej Vasik 2009-12-16 13:55:50 EST
Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ MUST: rpmlint must be run on every package. The output should be posted in
the review

rpmlint rsh-0.17-60.fc13.i686.rpm 
rsh.i686: E: setuid-binary /usr/bin/rcp root 04755
rsh.i686: E: non-standard-executable-perm /usr/bin/rcp 04755
rsh.i686: E: setuid-binary /usr/bin/rsh root 04755
rsh.i686: E: non-standard-executable-perm /usr/bin/rsh 04755
rsh.i686: E: setuid-binary /usr/bin/rlogin root 04755
rsh.i686: E: non-standard-executable-perm /usr/bin/rlogin 04755
1 packages and 0 specfiles checked; 6 errors, 0 warnings.
This is ok for this package.
rpmlint rsh-0.17-60.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint rsh-server-0.17-60.fc13.i686.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ MUST: package named according to the Package Naming Guidelines
+ MUST: The spec file name must match the base package %{name}
+ MUST: The package must meet the Packaging Guidelines .

Some patches uncommented, rexec tarball without upstream reference - however
those informations are too old to be found now... so I'm ok with it.

+ MUST: The package licensed with a Fedora approved license and meets the
Licensing Guidelines
+ MUST: The License field in the package spec file matches the actual
license
+ MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

Source package doesn't contain text of the license in its own file, just BSD disclaimers in every source file.

+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
+ MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task

rexec can't be checked, netkit-rsh-0.17.tar.gz matches upstream

+ MUST: The package successfully compiles and builds into binary rpms on at
least one primary architecture
0 MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch
+ MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines
0 MUST: The spec file handles locales properly. This is done by using the
%find_lang macro
0 MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
+ MUST: Packages must NOT bundle copies of system libraries
+ MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker
+ MUST: Package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory
+ MUST: Package must not list a file more than once in the spec file's %files
listings
+ MUST: Permissions on files must be set properly. Every %files section must
include a %defattr(...) line.
+ MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
+ MUST: Each package must consistently use macros
+ MUST: The package must contain code, or permissable content
0 MUST: Large documentation files must go in a -doc subpackage
+ MUST: If a package includes something as %doc, it must not affect the runtime
of the application
0 MUST: Header files must be in a -devel package
0 MUST: Static libraries must be in a -static package
0 MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
0 MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package
0 MUST: devel packages must require the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built
0 MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section
+ MUST: Packages must not own files or directories already owned by other
packages
+ MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT)
+ MUST: All filenames in rpm packages must be valid UTF-8


All the things which are must are ok, I would prefer to add README and BUGS file as %doc into main package. Not blockers, so APPROVED, please consider adding these documentation files.
Comment 5 Adam Tkac 2009-12-17 07:59:42 EST
(In reply to comment #4)
> All the things which are must are ok, I would prefer to add README and BUGS
> file as %doc into main package.

Done.

Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.